Skip to main content
GET
/
v1
/
workflow-runs
List All Workflow Runs
curl --request GET \
  --url https://api.example.com/v1/workflow-runs
{
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow_id": 123,
      "trigger_type": "<string>",
      "trigger_context": {},
      "code_version_executed": 123,
      "status": "<string>",
      "attempt_count": 123,
      "log_output": "<string>",
      "result": {},
      "duration_ms": 123,
      "started_at": "<string>",
      "completed_at": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123
  }
}

Query Parameters

status
string | null
workflow_uuid
string<uuid> | null
page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Items per page (max 500)

Required range: 1 <= x <= 500

Response

Successful Response

data
WorkflowRunResponse · object[]
required
meta
PaginationMeta · object
required